#ifndef _CUTI_BS_H
#define _CUTI_BS_H

#ifdef __cplusplus
extern "C" {
#endif

#define CUTIHI_BS_FLAG_KEY 1
#define CUTIHI_BS_SETUP_PACKET 2

typedef struct {
	uint64_t timestamp;
	uint32_t sz;
	uint8_t flags;
	void *ptr;
} CHiBSFrame;

typedef struct {
	size_t count;
	CHiBSFrame data[];
} CHiBSFrames;

#ifdef __cplusplus
}
#endif

#endif
